commit:     bb364452a755e4217a9f10e92316300a0a36724c
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Aug 24 16:58:17 2025 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Aug 24 17:28:25 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=bb364452

phosh-base/phosh-mobile-settings: add 0.49.0, drop old

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 phosh-base/phosh-mobile-settings/Manifest          |  6 +--
 phosh-base/phosh-mobile-settings/metadata.xml      | 12 ++++-
 .../phosh-mobile-settings-0.42.0.ebuild            | 62 ----------------------
 ....ebuild => phosh-mobile-settings-0.49.0.ebuild} | 39 ++++++++++----
 4 files changed, 42 insertions(+), 77 deletions(-)

diff --git a/phosh-base/phosh-mobile-settings/Manifest 
b/phosh-base/phosh-mobile-settings/Manifest
index 6d6f2269f4..d8fe2b69b6 100644
--- a/phosh-base/phosh-mobile-settings/Manifest
+++ b/phosh-base/phosh-mobile-settings/Manifest
@@ -1,8 +1,6 @@
-DIST phosh-mobile-settings-0.42.0.tar.xz 229020 BLAKE2B 
166f6cf54b634b2a935ff3fd63756d7935ce61afe9192afaacb3544eb96e605fc0d702e65eb8e2068f9cf4aab3a6ede4ac523ceaf2cea46a0085dcf4d1d6f4e5
 SHA512 
aebb741ae1ad508610600ab24495442cff959d883c12529f47b9eb3cf822d03dcf4b9d0e8605dd77820861899329c2133bdad566567b50a009d180a0141dcfc3
-DIST phosh-mobile-settings-0.42.0.tar.xz.asc 833 BLAKE2B 
e481795aa52593b5655a970c5454b051e424312df3ba1b45fa6bff8ef4b54149bb0166a7fec80990cad5b554ada495f1fae2799f713290082390430f1faf093b
 SHA512 
69cbc847ed5e3d31dafd386e97b5e8a7009da6ecc19df9715fff527c568f34e3d78dcd54d5e3800e7437ca1bc30cb726891eb72bf15cd225ad8618e035ad1978
-DIST phosh-mobile-settings-0.43.0.tar.xz 236724 BLAKE2B 
29f15d9f1bb6717f49c604a2fd802d1e595d376d31c44011255a381e4ba744bf0409c2a6d105c647de3182c7cdd050de5f0a1a50b3cae51ff97300ec35796267
 SHA512 
e7357379acdbcf94067435116f1cc5e83461f3e87193f7d202dbe9fdf90dd9beaef0aa20c84cd5249be1c0ec27b19aaff6d1d053ea14facfb21a2c7c418b2882
-DIST phosh-mobile-settings-0.43.0.tar.xz.asc 833 BLAKE2B 
336edf65970fe4b13345e93393c6dfc41edfbea41a9b156cefb3ecb0e55c08992ee552ff3c8a2af1995c5b1f2bcfc20c153c86c4431a68b7d022e3f462f894e6
 SHA512 
4f6001fd2b745acccc8db658f2953b41dd9d5e71b1a752acec52536ccccc9fd9d691da1df6f88ce6e5cf328b07c901c37ba742e20f1d2030ee87f3a0f6ab9cc9
 DIST phosh-mobile-settings-0.47.0.tar.xz 295132 BLAKE2B 
681e3ed7537012337c0491d4b162ba88c85d6023af464ba3050e5e8dd84e47264c722a8b01621ce9869c39e4d514b3c91e2f3ee30d27620e4855963ef36451b2
 SHA512 
9d09477c2d72e2a262d9772167cbf0a9ddc0450cf024eed36bdae86b0099df6dcb8ffb85bbe6ba2c35762e14e5845626e8c40e9bd7257593a52cf6977971bf05
 DIST phosh-mobile-settings-0.47.0.tar.xz.asc 833 BLAKE2B 
72fed0bf8b8274f082b2c82e0b480344e57d854b69962b1f4a6523fc9c5f2485ae6d19c7361128332b7e367fb5d01ac0036029d64a5ebdb658ff1771d543c86c
 SHA512 
9d650db4fa92e3527fe191c86cf532954e7a998d73c25562f8bbcc7fff7d06b9e860794ba7a80639b1456304de33c8c64cd04cc16e7213cd9cc559a6bcc0a486
 DIST phosh-mobile-settings-0.48.0.tar.xz 309156 BLAKE2B 
745ae493d22fd50635ae09bbd5635e7bdcea1b929fc0a2b0e23371a068b2627e22d6ff4c10c09751edc62a0dcb929ea0bdd6a86df7b5959243b16e2c6da1defd
 SHA512 
e89dc955fc8cac9120c0d6718a9bb8ea09eaf66d041b379ab1e0a194224da4fa07c8df4f9f23008b16bdda0b0f29a6f583d48f27c0154b8af30b9d3b8bdb0bca
 DIST phosh-mobile-settings-0.48.0.tar.xz.asc 833 BLAKE2B 
1c026480c6110de57d311e36fcbeadbd3a73c4678e719c1f64595432500b472cc353dd5584109cc0cbead098d99f2a5d1694f6fbe0fa73355396556c41e6daa0
 SHA512 
f03a4b4faeffe2dc4808312f8d74c8af11c2e1059175a2bac82e47324c05558331203b7ba4b36524d83a5bc6ca6b1115021b12c6a2f077bc4d6fb3bebc8ffd4a
+DIST phosh-mobile-settings-0.49.0.tar.xz 383612 BLAKE2B 
7fab387d480cefe46c42a4db896dc2eca20400dd0376e864d5181d352db07680df17167952da266d1c6433859dd7b98081294d635374f18bcd3c215ec6c9e4ec
 SHA512 
9519bf966d14968548284384c6f194219216919d82a936cb34941c78edda51625825e3fa3d5856bac89a54d08c2176a5801ee6dfe1b345405d8e06fa0cf6600f
+DIST phosh-mobile-settings-0.49.0.tar.xz.asc 833 BLAKE2B 
8063d2d235b16ae2238be1de5a8887e90bba9241a46e43b3d08611d06d7d9b31c854fbf5591199b8ce83d4e5c85e1bddc95af52029fb0451a745239efda5806a
 SHA512 
7a100d9882a6ebf7e18fbc1f7f060a998be6baff9e83a61e856ec113763b44847a0b18c0a6e63f881b17fd0393cb0db2484187a9a3b015f26f3c6af6afef6c9a

diff --git a/phosh-base/phosh-mobile-settings/metadata.xml 
b/phosh-base/phosh-mobile-settings/metadata.xml
index 12e8c779e2..1ddb9f30ad 100644
--- a/phosh-base/phosh-mobile-settings/metadata.xml
+++ b/phosh-base/phosh-mobile-settings/metadata.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8"?>
+<?xml version='1.0' encoding='UTF-8'?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
        <maintainer type="person">
@@ -10,6 +10,14 @@
                environment that would otherwise involve using the command line.
        </longdescription>
        <upstream>
-               <remote-id 
type="gnome-gitlab">guidog/phosh-mobile-settings</remote-id>
+               <remote-id 
type="gnome-gitlab">World/Phosh/phosh-mobile-settings</remote-id>
+               <maintainer>
+                       <name>Guido Günther</name>
+                       <email>[email protected]</email>
+               </maintainer>
+               <maintainer>
+                       <name>Gotam Gorabh</name>
+                       <email>[email protected]</email>
+               </maintainer>
        </upstream>
 </pkgmetadata>

diff --git 
a/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.42.0.ebuild 
b/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.42.0.ebuild
deleted file mode 100644
index 7cd2067abe..0000000000
--- a/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.42.0.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit gnome2-utils meson verify-sig xdg
-
-DESCRIPTION="Mobile Settings App for phosh and related components"
-HOMEPAGE="https://gitlab.gnome.org/guidog/phosh-mobile-settings";
-SRC_URI="https://sources.phosh.mobi/releases/${PN}/${P}.tar.xz
-       verify-sig? ( https://sources.phosh.mobi/releases/${PN}/${P}.tar.xz.asc 
)"
-
-LICENSE="GPL-3+"
-SLOT="0"
-KEYWORDS="~amd64"
-
-COMMON_DEPEND="
-       >=dev-libs/glib-2.74:2
-       >=dev-libs/gmobile-0.2.0
-       >=dev-libs/json-glib-1.6.2
-       >=dev-libs/wayland-1.14
-       >=gnome-base/gnome-desktop-44:4=
-       >=gui-libs/gtk-4.12.5:4[wayland]
-       >=gui-libs/libadwaita-1.5:1
-       media-libs/gsound
-       >=phosh-base/phosh-shell-0.40.0
-       sys-apps/lm-sensors:=
-"
-DEPEND="${COMMON_DEPEND}
-       >=dev-libs/wayland-protocols-1.12
-"
-RDEPEND="${COMMON_DEPEND}
-       dev-libs/feedbackd
-       >=gui-wm/phoc-0.34.0
-"
-BDEPEND="
-       dev-libs/glib:2
-       dev-util/gdbus-codegen
-       dev-util/glib-utils
-       dev-util/wayland-scanner
-       sys-devel/gettext
-       verify-sig? ( sec-keys/openpgp-keys-phosh )
-"
-
-VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/phosh.asc"
-
-QA_DESKTOP_FILE="usr/share/applications/mobi.phosh.MobileSettings.desktop"
-
-src_test() {
-       # No useful tests
-       :
-}
-
-pkg_postinst() {
-       xdg_pkg_postinst
-       gnome2_schemas_update
-}
-
-pkg_postrm() {
-       xdg_pkg_postrm
-       gnome2_schemas_update
-}

diff --git 
a/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.43.0.ebuild 
b/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.49.0.ebuild
similarity index 58%
rename from phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.43.0.ebuild
rename to phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.49.0.ebuild
index 0461b1d88b..752dd71319 100644
--- a/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.43.0.ebuild
+++ b/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.49.0.ebuild
@@ -1,37 +1,43 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2024-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-inherit gnome2-utils meson verify-sig xdg
+inherit gnome2-utils meson verify-sig virtualx xdg
 
-DESCRIPTION="Mobile Settings App for phosh and related components"
+DESCRIPTION="Phosh and related settings for mobile"
 HOMEPAGE="https://gitlab.gnome.org/guidog/phosh-mobile-settings";
 SRC_URI="https://sources.phosh.mobi/releases/${PN}/${P}.tar.xz
        verify-sig? ( https://sources.phosh.mobi/releases/${PN}/${P}.tar.xz.asc 
)"
 
-LICENSE="GPL-3+"
+LICENSE="GPL-2+ GPL-3+"
 SLOT="0"
 KEYWORDS="~amd64"
 
 COMMON_DEPEND="
        >=dev-libs/glib-2.76:2
-       >=dev-libs/gmobile-0.2.1
+       >=dev-libs/gmobile-0.4.0
        >=dev-libs/json-glib-1.6.2
+       >=dev-libs/feedbackd-0.8.0
+       >=dev-libs/libportal-0.9.1:=[gtk]
        >=dev-libs/wayland-1.14
        >=gnome-base/gnome-desktop-44:4=
-       >=gui-libs/gtk-4.12.5:4[wayland]
+       >=gui-libs/gtk-4.18.0:4[wayland]
        >=gui-libs/libadwaita-1.5:1
        media-libs/gsound
+       >=media-libs/libpulse-12.99.3[glib]
+       net-misc/cellbroadcastd
        >=phosh-base/phosh-shell-0.40.0
+       sys-apps/dbus
        sys-apps/lm-sensors:=
 "
 DEPEND="${COMMON_DEPEND}
        >=dev-libs/wayland-protocols-1.12
 "
 RDEPEND="${COMMON_DEPEND}
-       dev-libs/feedbackd
+       !<phosh-base/phosh-osk-stub-0.42.0
        >=gui-wm/phoc-0.34.0
+       >=phosh-base/xdg-desktop-portal-phosh-0.46.0
 "
 BDEPEND="
        dev-libs/glib:2
@@ -39,6 +45,7 @@ BDEPEND="
        dev-util/glib-utils
        dev-util/wayland-scanner
        sys-devel/gettext
+       test? ( gui-wm/phoc )
        verify-sig? ( sec-keys/openpgp-keys-phosh )
 "
 
@@ -46,9 +53,23 @@ 
VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/phosh.asc"
 
 QA_DESKTOP_FILE="usr/share/applications/mobi.phosh.MobileSettings.desktop"
 
+src_prepare() {
+       default
+
+       # fixes "Unable to open wayland socket: File name too long"
+       sed "/XDG_RUNTIME_DIR/d" -i tests/meson.build || die
+
+       #
+       sed "s/-Werror=format=2/-Werror=format/" -i meson.build || die
+}
+
+src_configure() {
+       xdg_environment_reset
+       meson_src_configure
+}
+
 src_test() {
-       # No useful tests
-       :
+       virtx meson_src_test --suite unit
 }
 
 pkg_postinst() {

Reply via email to